eslint-plugin-standard

v5.0.0

ESlint Plugin for the Standard Linter

MIT
Latest version published 1 year ago
    npm install eslint-plugin-standard
  

Package Health Score

58 / 100

Security

No known security issues
Powered by Snyk
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Security and license risk for significant versions

All Versions
Version Vulnerabilities License Risk
5.0.0 | 11/2020
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
4.1.0 | 11/2020
Popular
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
3.1.0 | 04/2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
2.3.1 | 04/2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
2.2.0 | 04/2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
License
MIT
Security Policy
No

Is your project affected by vulnerabilities?

Scan your projects for vulnerabilities. Fix quickly with automated fixes. Get started with Snyk for free.

# Install the Snyk CLI and test your project
npm i snyk -g && snyk test eslint-plugin-standard
Get started free

Popularity

Influential project

Weekly Downloads (1,529,555)

Download trend
Dependents
41.57K
GitHub Stars
121
Forks
22
Contributors
20

Direct Usage Popularity

TOP 5%

The npm package eslint-plugin-standard receives a total of 1,529,555 downloads a week. As such, we scored eslint-plugin-standard popularity level to be Influential project.

Based on project statistics from the GitHub repository for the npm package eslint-plugin-standard, we found that it has been starred 121 times, and that 41,574 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Community

Sustainable
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
20
Funding
Yes

With more than 10 contributors for the eslint-plugin-standard repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like eslint-plugin-standard is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 58/100 package health 58/100

Maintenance

Inactive
deprecated

Commit Frequency

No Recent Commits
Open Issues
1
Open PR
0
Last Release
1 year ago
Last Commit
1 year ago

Further analysis of the maintenance status of eslint-plugin-standard based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Inactive.

An important project maintenance signal to consider for eslint-plugin-standard is that it hasn't seen any new versions released to npm in the past 12 months, and could be considered as a discontinued project, or that which receives low attention from its maintainers.

In the past month we didn't find any pull request activity or change in issues status has been detected for the GitHub repository.

Package

Node.js Compatibility
not defined

Age
7 years
Dependencies
0 Direct
Versions
23
Install Size
28.7 kB
Dist-tags
1
# of Files
8
Maintainers
12
TS Typings
No

eslint-plugin-standard has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.